LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions | Variables
interface.c File Reference
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include "main.h"`
`#include "callbacks.h"`
`#include "interface.h"`
`#include "merge.h"`
`#include "support.h"`

## Macros
#define | TB_WIDTH 200
#define | TB_HEIGHT_VID 80
#define | TB_HEIGHT_AUD 50
#define | RW_ENTRY_DISPWIDTH 40

## Functions
void | multitrack_preview_clicked (LiVESButton *, livespointer user_data)
void | mt_change_disp_tracks_ok (LiVESButton *, livespointer user_data)
void | add_suffix_check (LiVESBox *box, const char *ext)
void | widget_add_preview (LiVESWidget *widget, LiVESBox *for_preview, LiVESBox *for_button, LiVESBox *for_deint, int preview_type)
| for fileselector preview More...
xprocess * | create_processing (const char *text)
lives_clipinfo_t * | create_clip_info_window (int audio_channels, boolean is_mt)
LiVESWidget * | create_encoder_prep_dialog (const char *text1, const char *text2, boolean opt_resize)
LiVESWidget * | create_info_error_dialog (lives_dialog_t info_type, const char *text, LiVESWindow *transient, int mask, boolean is_blocking)
text_window * | create_text_window (const char *title, const char *text, LiVESTextBuffer *textbuffer)
_insertw * | create_insert_dialog (void)
LiVESWidget * | create_opensel_dialog (void)
_entryw * | create_location_dialog (int type)
_entryw * | create_rename_dialog (int type)
void | on_liveinp_advanced_clicked (LiVESButton *button, livespointer user_data)
LiVESWidget * | create_combo_dialog (int type, livespointer user_data)
LiVESWidget * | create_cdtrack_dialog (int type, livespointer user_data)
aud_dialog_t * | create_audfade_dialog (int type)
_commentsw * | create_comments_dialog (lives_clip_t *sfile, char *filename)
char * | choose_file (const char *dir, const char *fname, char **const filt, LiVESFileChooserAction act, const char *title, LiVESWidget *extra_widget)
LiVESWidget * | choose_file_with_preview (const char *dir, const char *title, int preview_type)
_entryw * | create_cds_dialog (int type)
void | do_layout_recover_dialog (void)
LiVESWidget * | create_cleardisk_advanced_dialog (void)
LiVESTextView * | create_output_textview (void)

## Variables
char | last_good_folder [PATH_MAX]

## Macro Definition Documentation

#define RW_ENTRY_DISPWIDTH 40

#define TB_HEIGHT_AUD 50

#define TB_HEIGHT_VID 80

#define TB_WIDTH 200

## Function Documentation

void add_suffix_check | ( | LiVESBox * | box,
|  | const char * | ext
| ) |  |

char* choose_file | ( | const char * | dir,
|  | const char * | fname,
|  | char **const | filt,
|  | LiVESFileChooserAction | act,
|  | const char * | title,
|  | LiVESWidget * | extra_widget
| ) |  |

LiVESWidget* choose_file_with_preview | ( | const char * | dir,
|  | const char * | title,
|  | int | preview_type
| ) |  |

aud_dialog_t* create_audfade_dialog | ( | int | type | ) |

_entryw* create_cds_dialog | ( | int | type | ) |

LiVESWidget* create_cdtrack_dialog | ( | int | type,
|  | livespointer | user_data
| ) |  |

LiVESWidget* create_cleardisk_advanced_dialog | ( | void |  | ) |

lives_clipinfo_t* create_clip_info_window | ( | int | audio_channels,
|  | boolean | is_mt
| ) |  |

LiVESWidget* create_combo_dialog | ( | int | type,
|  | livespointer | user_data
| ) |  |

_commentsw* create_comments_dialog | ( | lives_clip_t * | sfile,
|  | char * | filename
| ) |  |

LiVESWidget* create_encoder_prep_dialog | ( | const char * | text1,
|  | const char * | text2,
|  | boolean | opt_resize
| ) |  |

LiVESWidget* create_info_error_dialog | ( | lives_dialog_t | info_type,
|  | const char * | text,
|  | LiVESWindow * | transient,
|  | int | mask,
|  | boolean | is_blocking
| ) |  |

_insertw* create_insert_dialog | ( | void |  | ) |

_entryw* create_location_dialog | ( | int | type | ) |

LiVESWidget* create_opensel_dialog | ( | void |  | ) |

LiVESTextView* create_output_textview | ( | void |  | ) |

xprocess* create_processing | ( | const char * | text | ) |

_entryw* create_rename_dialog | ( | int | type | ) |

text_window* create_text_window | ( | const char * | title,
|  | const char * | text,
|  | LiVESTextBuffer * | textbuffer
| ) |  |

void do_layout_recover_dialog | ( | void |  | ) |

void mt_change_disp_tracks_ok | ( | LiVESButton * | ,
|  | livespointer | user_data
| ) |  |

void multitrack_preview_clicked | ( | LiVESButton * | ,
|  | livespointer | user_data
| ) |  |

void on_liveinp_advanced_clicked | ( | LiVESButton * | button,
|  | livespointer | user_data
| ) |  |

void widget_add_preview | ( | LiVESWidget * | widget,
|  | LiVESBox * | for_preview,
|  | LiVESBox * | for_button,
|  | LiVESBox * | for_deint,
|  | int | preview_type
| ) |  |

for fileselector preview

## Variable Documentation

char last_good_folder[PATH_MAX]